Subject: bug#71846: Linux Guix System installs rust-windows

From: Vincent Legoll <[email-masked]>
Date: Sat, 29 Jun 2024 16:18:15 +0000

Doing a `guix pull` and staring at the output, I was a bit surprised
to see "rust-windows", "rust-winapi" & rust-*-msvc" packages
being pulled in (along a ton of other rust things)

The config is fairly simple:
nothing fancy
single ext4 FS
%base-services + openssh + dhcp + ntp
no packages added at the system level

I'd like to try to reduce the fat, how would I proceed ?
It's not a problem if I have to recompile things.

I know there's a deps graph thingy, would that be viable ?
what for ? only seeing the big picture ?

For example, my mental model would let me go this way:
Remove a thing, see what fails to build, fix that.
Iterate until pleased.

But I don't know how I would do the first item:
"remove a thing".

Can someone help, and put me on the right track

A lot of questions, I am still a newbie after all of those
years trying guix.

Thanks
-- 
Vincent Legoll